Bug 478764 - cannot find uxtheme in recent build
cannot find uxtheme in recent build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 14:33 EST by Paul Paukstelis
Modified: 2009-09-05 18:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-05 18:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Paukstelis 2009-01-04 14:33:08 EST
Description of problem:
Current mono build cannot load uxtheme.

Version-Release number of selected component (if applicable):
2.2-15.RC1.20081231svn122288.fc11

How reproducible:
Unknown.

Steps to Reproduce:
1. Remove mono packages from x86_64 Fedora 10
2. Install all mono packages from rawhide repo
3. Attempt to run program that calls uxtheme (I have only checked one example)
  
Actual results:
Unhandled Exception: System.InvalidOperationException: WinForms_SeeInnerException ---> System.TypeInitializationException: An exception was thrown by the type initializer for System.Windows.Forms.ToolStripManager ---> System.DllNotFoundException: uxtheme
  at (wrapper managed-to-native) System.Windows.Forms.VisualStyles.UXTheme:GetCurrentThemeName (System.Text.StringBuilder,int,System.Text.StringBuilder,int,System.Text.StringBuilder,int)
  at System.Windows.Forms.VisualStyles.VisualStylesNative.get_VisualStyleInformationFileName () [0x00000]

Expected results:

Program runs, and does so with fc10 packages.

Additional info:

Went ahead and checked to make sure it was the new packages by removing the rawhide packages, reinstall fc10 packages, and could get program to run.
Comment 1 Paul F. Johnson 2009-01-04 15:11:06 EST
I'm committing a new version to rawhide tonight. Let me know if it's still not there and the code you're using to call the theme.
Comment 2 Paul Paukstelis 2009-01-05 11:06:11 EST
Fixed in new version. thanks.
Comment 3 Bug Zapper 2009-06-09 06:34:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.